#ifndef RT_TIMING_H
#define RT_TIMING_H

/* Access to high precision timers */
#include "runtime.h"

typedef struct {
    uint64_t ticks;
    uint64_t ticks_per_second;
} rt_timestamp;

/* Time between two timestamps in seconds */
typedef double rt_time_delta;

RT_DLLEXPORT rt_timestamp rtTimeNow(void);

RT_DLLEXPORT rt_time_delta rtTimeBetween(rt_timestamp a, rt_timestamp b);

#endif
